Function
open
Opens a file, stream, or persistent string.
open(file, fileName[, openMode])
open(string, fileName[, openMode]))
open(stream, fileName, mode)
Include Headers
seqan/file.h
Parameters

file | A File object. Types: File
fileName | C-style character string containing the file name.
openMode | The combination of flags defining how the file should be opened. See FileOpenMode for more details. Types: FileOpenMode Default: OPEN_RDWR | OPEN_CREATE | OPEN_APPEND Remarks: If you omit the OPEN_APPEND flag in write mode, the file will be cleared when opened.
string | A persistent string, e.g. a External String or MMap String. Types: External String, MMap String
stream | Stream to open. Types: BGZF Stream, Stream
mode | Mode string for opening the file, e.g. "r", "w". Types: char const * Remarks: Do not specify for Char Array Stream. When opening Stream<Bgzf> for writing, you can append '0'-'9' or 'u' to "w" for setting the compression level to 0-9 or "no compression".

Return Values
A bool which is true on success.
Member of
MMap String, BGZF Stream, Stream, File
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58